<?php

$date = "2009-08-06T07:17:19";


preg_match('~(\d+)\d{3}((?:\+|-)\d+)~', $date, $match);

$dt = new DateTime('@' . $match[1]);

$dt = new DateTime($dt->format('Y-m-d H:i:s') . ' ' . $match[2]);

//$date =  strtotime($dt->format('r'));
$date =  strtotime($date);
echo $date;
